# XmMessageBox

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmMessageBox - Motif-compatible notifier widget

## SYNOPSIS

#include <Xm/MessageB.h>

XmMessageBox

XmCreateMessageBox

## DESCRIPTION

XmMessageBox

## X RESOURCES

Name | Class | Type | Default | Access
XmNdialogType | XmCDialogType | DialogType | NULL | CSG
XmNminimizeButtons | XmCMinimizeButtons | Boolean | NULL | CSG
XmNdefaultButtonType | XmCDefaultButtonType | DefaultButtonType | NULL | CSG
XmNmessageString | XmCXmString | XmString | NULL | CSG
XmNmessageAlignment | XmCAlignment | Alignment | NULL | CSG
XmNsymbolPixmap | XmCPixmap | ManForegroundPixmap | NULL | CSG
XmNokLabelString | XmCXmString | XmString | NULL | CSG
XmNokCallback | XmCCallback | Callback | NULL | CSG
XmNcancelLabelString | XmCXmString | XmString | NULL | CSG
XmNcancelCallback | XmCCallback | Callback | NULL | CSG
XmNhelpLabelString | XmCXmString | XmString | NULL | CSG

XmNdialogType

XmNminimizeButtons

XmNdefaultButtonType

XmNmessageString

XmNmessageAlignment

XmNsymbolPixmap

XmNokLabelString

XmNokCallback

XmNcancelLabelString

XmNcancelCallback

XmNhelpLabelString

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) Composite(3) Constraint(3) XmManager(3) XmBulletinBoard(3) XmMessageBox(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.